import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:wyatt_component_copy_with_extension/wyatt_component_copy_with_extension.dart';
import 'package:wyatt_ui_components/wyatt_ui_components.dart';

part 'custom_app_bar.impl.g.dart';

@ComponentCopyWithExtension()
class CustomAppBar extends TopAppBarComponent with $CustomAppBarCWMixin {
  const CustomAppBar({super.title, super.key, super.actions});

  @override
  Widget build(BuildContext context) => AppBar(
        backgroundColor: Colors.deepPurpleAccent,
        actions: actions,
        title: Text(
          super.title?.data ?? '',
        ),
      );
}
